Subject: [Bug 171] New: If header grammar

From: [email-masked]
Date: Sun, 23 Oct 2005 05:44:58 -0700

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=171

           Summary: If header grammar
           Product: WebDAV-RFC2518-bis
           Version: -07
          Platform: Other
               URL: http://lists.w3.org/Archives/Public/w3c-dist-
                    auth/2005OctDec/0331.html
        OS/Version: other
            Status: NEW
          Severity: major
          Priority: P2
         Component: 09.  HTTP Headers for Distributed Authoring
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
         QAContact: [email-masked]

I think there's an issue with the new If header syntax defined in 
RFC2518bis 
(<http://greenbytes.de/tech/webdav/draft-ietf-webdav-rfc2518bis-07.html#rfc.section.9.5>),

allowing comma separation and consequently multiple instances of "If" 
headers.

In section 4.2, RFC2616 says 
(<http://greenbytes.de/tech/webdav/rfc2616.html#rfc.section.4.2.p.5>):

"Multiple message-header fields with the same field-name MAY be present 
in a message if and only if the entire field-value for that header field 
is defined as a comma-separated list [i.e., #(values)]."

RFC2518bis currently defines the grammar below:

    If = "If" ":" ( 1*No-tag-list | 1*Tagged-list)
    No-tag-list = List
    Tagged-list = Resource 1*List
    Resource = Coded-URL
    List = #( "(" List | Clause ")" )
    Clause = ["Not"] State-token | State-token
    State-token = Coded-URL  | "[" entity-tag "]"
    Coded-URL = "<" absoluteURI ">"

which clearly is different from what RFC2616 requires.

------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.